package ru.amse.javadependencies.zhukova.data.dependencies.impl;

import ru.amse.javadependencies.zhukova.data.IPackage;
import ru.amse.javadependencies.zhukova.data.dependencies.IClassDependency;
import ru.amse.javadependencies.zhukova.data.dependencies.IPackageDependency;

import java.util.Set;

/**
 * @author Anna R. Zhukova
 */
public class PackageDependency extends NotLeafDependency<IPackage, IClassDependency> implements IPackageDependency {

    public PackageDependency(IPackage server, Set<IClassDependency> classDependencies) {
        super(server, classDependencies);
    }

    public PackageDependency(IPackage server) {
        super(server);
    }

    public String toString() {
        return toString("Class_Dependencies:\n", 5);
    }
}
