/**
 * @author Anna R. Zhukova
 */
package ru.amse.javadependencies.zhukova.modelbuilding.tree.popupmenu;

import ru.amse.javadependencies.zhukova.ui.tree.CheckNode;

import javax.swing.*;
import java.awt.event.ActionEvent;

public class Hide extends AbstractAction {
    private static final Hide ourInstance = new Hide();

    public static Hide getInstance() {
        return ourInstance;
    }

    private Hide() {
        super("hide");
    }

    public void actionPerformed(ActionEvent e) {
        PopUpMenu.visitRow(false, CheckNode.OUR_SINGLE_SELECTION, true);
    }
}