package ru.amse.javadependencies.zhukova.ui.commands;

import ru.amse.javadependencies.zhukova.model.impl.Arc;
import ru.amse.javadependencies.zhukova.model.IGraphModel;


public class DeleteArcCommand implements ICommand {
    private final IGraphModel myGraphModel;
    private final Arc myArc;

    public DeleteArcCommand(IGraphModel gr, Arc arc){
        myGraphModel = gr;
        myArc = arc;
    }
    public void doIt() {
        myGraphModel.removeArc(myArc);
    }

    public void undo() {
        myGraphModel.addArc(myArc);
    }
}
