package ru.amse.javadependencies.zhukova.data.dependencies;

import ru.amse.javadependencies.zhukova.data.IJavaElement;

import java.util.Set;
import java.util.Collection;

/**
 * @author Anna R. Zhukova
 */
public interface IDependencyGraph<N extends IJavaElement> {
    boolean addClient(N client);

    N getClient(String name);

    Set<N> getClients();

    Collection<N> getAllClients();

    void put(String fullName, N clazz);
}
