package ru.amse.javadependencies.zhukova.ui.commands;

import ru.amse.javadependencies.zhukova.model.impl.SimpleVertex;
import ru.amse.javadependencies.zhukova.model.IGraphModel;


public class AddVertexCommand implements ICommand {
    private final IGraphModel myGraphModel;
    private final SimpleVertex mySimpleVertex;

    public AddVertexCommand(IGraphModel gr, SimpleVertex v){
        myGraphModel = gr;
        mySimpleVertex = v;
    }

    public void doIt() {
        myGraphModel.addVertex(mySimpleVertex);
    }

    public void undo() {
        myGraphModel.removeVertex(mySimpleVertex);
    }
}
