package ru.amse.javadependencies.zhukova.util;

public class Pair<F,S> implements IPair<F, S> {
    private final F myFirst;
    private S mySecond;

    public Pair(F first, S second) {
        myFirst = first;
        mySecond = second;
    }

    public F getFirst() {
        return myFirst;
    }

    public S getSecond() {
        return mySecond;
    }

    public String toString() {
        return myFirst + ", " + mySecond;
    }

    public void setSecond(S second) {
        mySecond = second;
    }
}